%global pypi_name django-appconf

Summary:        An app to handle configuration defaults of packaged Django apps gracefully
Name:           python-django-appconf
Version:        1.0.4
Release:        3%{?dist}
License:        BSD
URL:            https://github.com/django-compressor/django-appconf
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz

BuildArch:      noarch

%description
A helper class for handling configuration defaults
of packaged Django apps gracefully.

%package -n python3-%{pypi_name}
Summary:        A helper class for handling configuration defaults of packaged apps gracefully
BuildRequires:  python3-coverage python3-devel python3-django python3-setuptools python3-sphinx python3-six
Requires:       python3-django

%description -n python3-%{pypi_name}
A helper class for handling configuration defaults
of packaged Django apps gracefully.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build
sphinx-build-3 -b html docs html
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
export PYTHONPATH=.:$PYTHONPATH
export DJANGO_SETTINGS_MODULE=tests.test_settings
%{__python3} setup.py test


%files -n python3-%{pypi_name}
%license LICENSE
%doc html README.rst
%{python3_sitelib}/appconf
%{python3_sitelib}/django_appconf-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 Miaojun Dong <zoedong@tencent.com> - 1.0.4-2
- rebuild for django-2.2.28

* Fri Apr 21 2023 Miaojun Dong <zoedong@tencent.com> - 1.0.4-1
- initial build
